package fr.inra.pappso.xtandempipeline.class_msms.IdentificationDataFile;

import javax.xml.stream.XMLStreamWriter;

import fr.inra.pappso.xtandempipeline.class_msms.Identification;
import fr.inra.pappso.xtandempipeline.class_msms.Peptide;

public interface IdentificationDataSource extends Comparable<IdentificationDataSource>{
	public String getName();

	public Identification loadIdentification(
			Identification previousIdentification) throws Exception;

	public Identification loadPhosphoIdentification(
			Identification previousIdentification) throws Exception;

	public boolean loadMSMSSpectra(Peptide pep) throws Exception;

	public void writeXpipPeptideSourceAttribute(XMLStreamWriter writer)
			throws Exception;

	@Override
	public int compareTo(IdentificationDataSource toCompare);

	public boolean equals(IdentificationDataSource toCompare);
	
	public boolean exists() ;

}
